{
	"name": "form/nc/report/form/big-sticker/big-sticker.json",
	"layout": {
		"component": "nc-col",
		"attribute": {
			"id": "big-sticker",
			"class": ["nc-align-top"],
			"width": "auto"
		},
		"element": [
			{
				"component": "nc-header",
				"text": "Big sticker",
				"attribute": {
					"v-if": "!rec.printing",
					"size": "medium",
					"hdr": "hdr.big_sticker"
				}
			},
			{
				"component": "nc-row",
				"attribute": {
					"info": "50x80mm",
					"print-height": "100%",
					"print-width": "100%"
				},
				"element": [
					{
						"component": "nc-row",
						"attribute": { "height": "1/10" },
						"element": [
							{
								"component": "nc-col",
								"attribute": { "width": "1/2" },
								"element": [
									{
										"component": "nc-label-input",
										"text": "Packing list",
										"attribute": {
											"model": "rec.dispatch_note_id",
											"v-on:change": "rec.pdf_update_trigger++"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": { "width": "1/2" },
								"element": [
									{
										"component": "nc-label-input",
										"text": "Date",
										"attribute": {
											"model": "rec.production_date",
											"v-on:change": "rec.pdf_update_trigger++"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "height": "1/4", "width": "auto" },
						"element": [
							{
								"component": "nc-image",
								"attribute": {
									":src": "rec.printing ? rec.logo_path_print : rec.logo_path_local",
									"image-style": "object-fit: contain;"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "height": "1/10", "width": "1/3" },
						"element": [
							{
								"component": "nc-label-input",
								"text": "Name",
								"attribute": {
									"model": "rec.pr.name",
									"v-on:change": "rec.pdf_update_trigger++"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "height": "1/10", "width": "1/3" },
						"element": [
							{
								"component": "nc-label-input",
								"text": "Product code",
								"attribute": {
									"model": "rec.pr.product_id",
									"v-on:change": "rec.pdf_update_trigger++"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "height": "1/10", "width": "1/3" },
						"element": [
							{
								"component": "nc-label-input",
								"text": "Customer code",
								"attribute": {
									"model": "rec.co.company_number",
									"v-on:change": "rec.pdf_update_trigger++"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "height": "1/10", "width": "1/3" },
						"element": [
							{
								"component": "nc-label-input",
								"text": "Order number",
								"attribute": {
									"model": "rec.order_id",
									"v-on:change": "rec.pdf_update_trigger++"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "height": "1/10", "width": "auto" },
						"element": [
							{
								"component": "nc-label-input",
								"text": "Info",
								"attribute": {
									"model": "rec.pro.info",
									"v-on:change": "rec.pdf_update_trigger++"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "height": "1/20", "width": "auto" },
						"element": [
							{
								"component": "nc-label",
								"text": "Delivery address"
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "height": "1/5", "width": "auto" },
						"element": [
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.text_address",
									"v-on:change": "rec.pdf_update_trigger++"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "height": "1/10", "width": "1/3" },
						"element": [
							{
								"component": "nc-label-input",
								"text": "Batch",
								"attribute": {
									"model": "rec.production_order_id",
									"v-on:change": "rec.pdf_update_trigger++"
								}
							}
						]
					}
				]
			}
		]
	}
}
